package cn.com.taiji.tile.style;

import lombok.Data;

import java.awt.*;
import java.awt.image.BufferedImage;

/**
 * @author zzyx 2024/1/5
 */
@Data
public class ShapeStyle {
    //颜色支持rgb rgba 如(255,0,255) ||(255, 0, 0, 128)
    private Color color;
    //是否填充或者只显示边框
    private Boolean isFill;
    //边框颜色
    private Color borderColor=Color.RED;
    //边框大小
    private Integer borderSize=1;
    //边框为虚线还是实现
    private Boolean isDashed=false;
    //虚线间隔 5像素实线，5像素空白  float[] dashPattern = {100, 10};
    private float[] dashPattern;
    //背景图片样式
    private BufferedImage backgroundImage;
    //是否显示中心点名称
    private Boolean isShowName=false;
    //字体颜色
    private Color fontColor=Color.gray;
    //字体大小
    private Integer fontSize=1;
    /**
     * 中心点图片
     */
    private BufferedImage centerPointImage;

    /**
     * 点样式
     */
    private Integer pointSize;
    private Color pointColor=Color.RED;
    private Integer pointWidth=1;
    private Integer pointHeight=1;
    private Boolean pointFill;
    private Boolean pointDashed;
    private float[] pointDashPattern={2,2};
    //形状 1:正方形，2:三角形，3:圆形
    private Integer shapeType;
    private BufferedImage pointMarkerImage;
    private Integer pointMarkerImageWidth=13;
    private Integer pointMarkerImageHeight=13;
    private Boolean pointFontShow;
    private Integer pointFontSize=12;
    private Color pointFontColor=Color.BLACK;

    //    线样式
    private Color lineColor=Color.black;
    //    线宽度
    private Integer lineWidth=4;
    //线性，1:实线，2:虚线，3:虚点线
    private Integer lineType;
    private float[] lineDashPattern={2,2};
}

